Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		supertux
Version:	0.3.1
Release:	1
License:	GNU/GPL 
URL:            http://supertux.lethargik.org/
Source0:        http://download.berlios.de/supertux/supertux-%{version}d.tar.bz2
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:        Jump'n run like game similar to Mario Bros
BuildRequires:  SDL-devel >= 1.2.4
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  zlib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libGLU-devel
BuildRequires:  physfs-devel
BuildRequires:  openal-devel
BuildRequires:  libvorbis-devel jam
Requires:       opengl-games-utils

%description
SuperTux is a jump'n run like game, with strong inspiration from the
Super Mario Bros games for Nintendo.

Run and jump through multiple worlds, fighting off enemies by jumping
on them or bumping them from below.  Grabbing power-ups and other stuff
on the way.

%prep
%setup -q

# We want to just call this release "supertux", not "supertux2".
find . -depth -name 'supertux2*' \
    | while read file ; do
        mv -v "$file" "$( echo "$file" | sed 's/\(supertux\)2/\1/' )"
    done

find . -type f -exec grep -li 'supertux \?2' {} \; \
    | xargs sed -i -e 's/\(supertux \?\)2/\1/ig'

%build
%configure --disable-debug
jam %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
jam -sDESTDIR=$RPM_BUILD_ROOT install 

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/supertux.desktop
rm -rf desktop_file
mkdir desktop_file
ln -snf opengl-game-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/supertux-wrapper
sed 's:^Exec=\(.*\)$:Exec=\1-wrapper:g' < supertux.desktop > desktop_file/supertux.desktop
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 desktop_file/supertux.desktop $RPM_BUILD_ROOT%{_datadir}/applications

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README WHATSNEW.txt
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Wed Apr 09 2008 Christian Metzen <metzench@ccux-linux.de> 0.3.1-1
- Version update
* Tue Jul 12 2005 Christian Wasem <wasem@ccux-linux.de> 0.1.3-1
- update to Version 0.1.3
* Thu Jul 07 2005 Christian Wasem <wasem@ccux-linux.de> 0.1.2-1
- update to Version 0.1.2
